Subject: [SPIRITS] Archie II

From: Lawrence Conroy <[email-masked]>
Date: Fri, 1 Dec 2000 15:40:13 +0000

Hi Y'all,
Apologies for inflicting an ugly diagram on the group yesterday.

"Upon further consideration", here is the same thing, drawn better, IMHO.

Please note that I *ASSUME* the entity that is called a "SPIRITS Proxy"
in the current architecture draft but is in fact an Application Layer Gateway
(A.L.G. in the first figures) between the User Interface and the SPIRITS
User Agent Server is:
(i) optional - after all, its possible to have a SPIRITS User Agent Server
with its own User Interface running on the end user's machine, and
(ii) connected to the User Interface via Interface B (if I understand the
architecture draft correctly).

In the main diagram, the entity I have called a SRIRITS Registrar/Proxy is
akin to the PINT (or SIP) Proxy/Registrar described in RFC2848 and RFC2543.
Note that the protocol is the same on either side of this entity.

I have to say that this was my understanding of the architecture from my
first presentation in Minneapolis in March '99; we seem to have been
agreeing all along but the diagram doesn't quite get around to changing.
Let's do it now!

Hope this helps.
---------------------------------------

Figure 1a Optional PINT User Interface

  .----.
  |PRUI|---
  |____|   \        <- Interface Z
            \
             \--------.
             |PINT RUI|
             | A.L.G. |
             ==========
             ==========
             |  PINT  |
             | Client |
             \________/
                  !
  Interface A ->  !
                  !

   Figure 1a Optional PINT Request User Interface

Key: PRUI = PINT Request User Interface
             Used to provide user interface by which customer
             can specify PINT request. Can also be used to
             carry notifications on status of PINT request.

Example - PRUI is a Web Browser, Interface Z carries HTTP, PRUI ALG is
a Web Server with an "internal" interface to a PINT Client.

                             .----.
                          ---|SCUI|
    Interface B ->       /   |____|
                        /
           .-----------/
           |SPIRITS CUI|
           |   A.L.G.  |
           =============
           =============
           |  SPIRITS  |
           |  Server   |
           \___________/
                  !
   Interface C -> !
                  !

    Figure 1b Optional SPIRITS Choice User Interface

Key: SCUI = SPIRITS Choice User Interface
             Used to provide user interface by which choices
             can be elicited from customer and can be returned
             to the SPIRITS Server. Can also be used to carry
             indications of initial SPIRITS requests.

Example - SCUI is an X-Windows server, Interface B carries X-RPC, SCUI ALG
is an X-Client program with an "internal" interface to a SPIRITS Server.

           .----------.                  .----------.
           |  PINT    |                  | SPIRITS  |
           |User Agent|                  |User Agent|
           | Client   |                  |  Server  |
           \__________/                  \__________/
                !                             !
                !             Interface C ->  !
Interface A -> !                             !
                !                             !
            ...........                  ............
         .> :  PINT   :                  . SPIRITS  . <.
        .   :Registrar:                  . Registrar.   .
        .   : /Proxy  :                  . /Proxy   .   .
         . .:.........:                  ............. .
                !                             !
                !             Interface C ->  !
Interface A -> !                             !
                !                             !
          .----------.                  .----------.
          |   PINT   |                  | SPIRITS  |
          |User Agent|    IP Network    |User Agent|
.+.+.+.+.|  Server  |.+.+.+.+.+.+.+.+. |  Client  |.+.+.+.+.
          | (PINT)   |       GSTN       |(SPIRITS) |
          |(Gateway) |                  |(Gateway) |
          \__________/                  \__________/
                !                             !
                !                             !
           .----------                   -----------.
           [                                        ]
           [ eXecutive                   Initiative ]
           [ System                      System     ]
           [                                        ]
           \__________                   ___________/
                 |                           |
                /                            \
               / <-------- Line ------------> \
              |                                |
             O-O                              O-O
              -         <- Telephone ->        -
             / \                              / \
            -----                            -----

Figure 2 - PINT / SPIRITS Architecture

Notes:
(i)
The PINT and SPIRITS Registrar/Proxies are optional; however, they are very
likely to exist in "real world" configurations. PINT Servers are would be
expected to register their ability to provide service with a PINT Registrar
whilst the SPIRITS Servers would be expected to register their capability
with a SPIRITS Registrar. Subsequent requests would be directed by a chain
of PINT or SPIRITS proxies, taking into account these prior registrations.

(ii)
In the PINT case, the executive system is unspecified by RFC2848, but the
reference example system is one based on I.N. principles, consisting of SCF
and SSF; in some PINT services this could also include SDF and SRF elements.

In SPIRITS case, the Initiative System is specified to be one that maintains
a call state model similar to that defined in I.2104/1214/1224. The reference
example system is assumed to an I.N.-based system consisting of SCF and SSF
entities, potentially with SDF and SRF elements.
-- 
All the best, Lawrence
-----------------------------------------------------------------------
| Lawrence Conroy,    | "These Opinions must be mine, 'cos if they    |
| Roke Manor Research |  were my Company's they'd pay me for them"    |
|- [email-masked]  ---+- Tel: +44 1794 833666  Fax: +44 1794 833434 --|

_______________________________________________
SPIRITS mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/spirits